coap_endpoint_t Struct Reference
Sessions (Internal)

Abstraction of virtual endpoint that can be attached to coap_context_t. More...

`#include <coap_session_internal.h>`

Collaboration diagram for coap_endpoint_t:
[legend]

## Data Fields

struct coap_endpoint_t * | next
struct coap_context_t * | context
| endpoint's context More...
coap_proto_t | proto
| protocol used on this interface More...
uint16_t | default_mtu
| default mtu for this interface More...
coap_socket_t | sock
| socket object for the interface, if any More...
coap_address_t | bind_addr
| local interface address More...
struct coap_session_t * | sessions
| hash table or list of active sessions More...

## Detailed Description

Abstraction of virtual endpoint that can be attached to coap_context_t.

The tuple (handle, addr) must uniquely identify this endpoint.

Definition at line 29 of file coap_session_internal.h.

## Field Documentation

## bind_addr

coap_address_t coap_endpoint_t::bind_addr

local interface address

Definition at line 35 of file coap_session_internal.h.

## context

struct coap_context_t* coap_endpoint_t::context

endpoint's context

Definition at line 31 of file coap_session_internal.h.

## default_mtu

uint16_t coap_endpoint_t::default_mtu

default mtu for this interface

Definition at line 33 of file coap_session_internal.h.

## next

struct coap_endpoint_t* coap_endpoint_t::next

Definition at line 30 of file coap_session_internal.h.

## proto

coap_proto_t coap_endpoint_t::proto

protocol used on this interface

Definition at line 32 of file coap_session_internal.h.

## sessions

struct coap_session_t* coap_endpoint_t::sessions

hash table or list of active sessions

Definition at line 36 of file coap_session_internal.h.

## sock

coap_socket_t coap_endpoint_t::sock

socket object for the interface, if any

Definition at line 34 of file coap_session_internal.h.

The documentation for this struct was generated from the following file:

- coap_session_internal.h